routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\SiswaController;
use App\Http\Controllers\Admin\KelasController;
use App\Http\Controllers\LoginController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();


Route::get('/', function () {
    return redirect()->route('login');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/login', [App\Http\Controllers\LoginController::class, 'index'])->name('login');

Route::post('/login', [App\Http\Controllers\LoginController::class, 'postLogin'])->name('postLogin');

Route::resource('/data-siswa', SiswaController::class);
Route::get('/data-siswa/create', [SiswaController::class, 'create'])->name('data-siswa.create');
// Route::get('/data-siswa', [App\Http\Controllers\Admin\SiswaController::class, 'index'])->name('data-siswa');


Route::resource('/kelas', KelasController::class);

app/Models/Siswa.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Siswa extends Model
{
    use HasFactory;

    protected $table = 'siswa';

    protected $primaryKey = 'id_siswa';

    protected $fillable = [
        'nama',
        'tgl_lahir',
        'alamat',
        'no_hp',
        'id_kelas'
    ];

    public function kelas(){
        return $this->belongsTo(Kelas::class, 'id_kelas');
    }
}

app/Http/Controllers/Admin/SiswaController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Siswa;
use App\Models\Kelas;

class SiswaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $siswa = Siswa::orderBy('nama', 'asc')->get();

        return view('pages.admin.siswa.index', ['siswa' => $siswa]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $kelas = Kelas::orderBy('nama_kelas', 'asc')->get();
        return view('pages.admin.siswa.create', ['kelas' => $kelas]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'id_siswa' => 'required',
            'nama' => 'required',
            'id_kelas' => 'required',
        ]);

        Siswa::create([
            'id_siswa' => $request->id_siswa,
            'nama' => $request->nama,
            'tgl_lahir' => $request->tgl_lahir,
            'no_hp' => $request->no_hp,
            'alamat' => $request->alamat,
            'id_kelas' => $request->id_kelas,
        ]);

        Alert::success('Success', 'Post created successfully');
        return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/pages/admin/siswa/create.blade.php
@extends('layouts.admin')
@section('title', 'Tambah Siswa')

@section('content')

<div class="page-wrapper">
    
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row">
                <div class="col">
                    <h3 class="page-title">Data Siswa</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ url('home')}}">Beranda</a></li>
                        <li class="breadcrumb-item"><a href="{{ url('data-siswa')}}">Data Siswa</a></li>
                        <li class="breadcrumb-item active">Tambah Siswa</li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Data Siswa TK</h4>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <form action="{{route('data-siswa.store')}}" method="post">
                                @csrf
                                <div class="col-lg-4 col-sm-6 col-12">
                                    <div class="form-group">
                                        <label>NIS</label>
                                        <input type="text" name="id_siswa">
                                    </div>
                                    <div class="form-group">
                                        <label>Nama</label>
                                        <input type="text" name="nama">
                                    </div>
                                </div>
    
                                <div class="col-lg-4 col-sm-6 col-12">
                                    <div class="form-group">
                                        <label>Tanggal Lahir </label>
                                        <div class="input-groupicon">
                                            <input type="text" placeholder="DD-MM-YYYY" name="tgl_lahir" class="datetimepicker">
                                            <div class="addonset">
                                            <img src="{{ asset('assets/img/icons/calendars.svg')}}" alt="img">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label>Kelas</label>
                                        <select class="form-select" name="id_kelas">
                                            <option selected disabled>--Pilih Kelas--</option>
                                            @foreach ($kelas as $key => $val)
                                                <option value="{{$val['id']}}">{{$val['nama_kelas']}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
    
                                <div class="col-lg-4 col-sm-6 col-12">
                                    <div class="form-group">
                                        <label>No HP</label>
                                        <input type="number" name="no_hp">
                                    </div>
                                    <div class="form-group">
                                        <label>Alamat</label>
                                        <textarea name="alamat" id="alamat" name="alamat" class="form-control" rows="3"></textarea>
                                    </div>
                                </div>
    
                                <div class="col-lg-12">
                                    <button type="submit" class="btn btn-submit me-2">Simpan</a>
                                    <a href="{{route('data-siswa')}}" class="btn btn-cancel">Cancel</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        

    
    </div>
</div>
    
@endsection

resources/views/pages/admin/siswa/index.blade.php
@extends('layouts.admin')
@section('title', 'Data Siswa')

@section('content')

<div class="page-wrapper">
    
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row">
                <div class="col">
                    <h3 class="page-title">Data Siswa</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ url('home')}}">Beranda</a></li>
                        <li class="breadcrumb-item active">Data Siswa</li>
                    </ul>
                </div>
            </div>
            <div class="page-btn">
                <a href="{{ route('data-siswa.create') }}" class="btn btn-added"><img src="assets/img/icons/plus.svg" alt="img">Tambah Siswa</a>
            </div>
        </div>
        
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Data Siswa TK</h4>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table  datanew ">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>NIS</th>
                                        <th>Nama</th>
                                        <th>Kelas</th>
                                        <th>Tanggal Lahir</th>
                                        <th>Alamat</th>
                                        <th>No HP</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($siswa as $i => $sis)
                                        <tr>
                                            <td>{{ $i += 1}}</td>
                                            <td>{{ $sis->id_siswa}}</td>
                                            <td>{{ $sis->nama}}</td>
                                            <td>{{ $sis->kelas->nama_kelas}}</td>
                                            <td>{{ $sis->tgl_lahir}}</td>
                                            <td>{{ $sis->alamat}}</td>
                                            <td>{{ $sis->no_hp}}</td>

                                            <td>
                                                <a class="me-3" href="{{ route('data-siswa.edit', $sis->id_siswa)}}">
                                                    <img src="assets/img/icons/edit.svg" alt="img">
                                                </a>
                                                <a href="javascript:void(0);">
                                                    <img src="assets/img/icons/delete.svg" alt="img">
                                                </a>
                                                {{-- <form action="{{url('data-siswa', $sis->id_siswa)}}" method="POST" class="me-3 confirm-text" >
                                                    @csrf
                                                    @method('delete')
                                                </form> --}}
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
    </div>
</div>
    
@endsection